#
# spec file for package libdaemon
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           libdaemon
VCS: https://src.suse.de/SLFO-pool/libdaemon#078e1093fc6fe669ecee3735e2e5f64f37b23e6c345e6b6be67372aaeda69fd8
Version:        0.14
Release:        160000.1.9
Summary:        Lightweight C library That Eases the Writing of UNIX Daemons
License:        LGPL-2.1-or-later
Group:          Development/Libraries/C and C++
URL:            http://0pointer.de/lennart/projects/libdaemon
Source:         http://0pointer.de/lennart/projects/libdaemon/%{name}-%{version}.tar.gz
BuildRequires:  doxygen
BuildRequires:  pkgconfig

%description
libdaemon is a lightweight C library that eases the writing of UNIX
daemons.

%package -n libdaemon0
Summary:        Lightweight C library That Eases the Writing of UNIX Daemons
License:        LGPL-2.1-or-later
Group:          System/Libraries
Provides:       %{name} = %{version}
#opensuse 10.3
Obsoletes:      %{name} <= 0.12

%description -n libdaemon0
libdaemon is a lightweight C library that eases the writing of UNIX
daemons.

%package devel
Summary:        Lightweight C library That Eases the Writing of UNIX Daemons
License:        GPL-2.0-or-later
Group:          Development/Libraries/C and C++
Requires:       glibc-devel
Requires:       libdaemon0 = %{version}

%description devel
libdaemon is a lightweight C library that eases the writing of UNIX
daemons.

%prep
%autosetup

%build
%configure \
        --disable-static \
        --disable-lynx
%make_build

%install
%make_install
rm -f %{buildroot}%{_libdir}/libdaemon.la
# We don't care about the HTML README
rm %{buildroot}%{_datadir}/doc/libdaemon/{README.html,style.css}

%post -n libdaemon0 -p /sbin/ldconfig
%postun -n libdaemon0 -p /sbin/ldconfig

%files -n libdaemon0
%doc LICENSE README
%{_libdir}/libdaemon.so.0*

%files devel
%{_libdir}/libdaemon.so
%{_libdir}/pkgconfig/libdaemon.pc
%dir %{_includedir}/libdaemon
%{_includedir}/libdaemon/*.h

%changelog
* Mon Jun  7 2021 jengelh@inai.de
- Drop --with-pic (no effect with --disable-static).
- Modernize rpm macro constructs.
* Thu Mar 23 2017 kstreitova@suse.com
- cleanup with spec-cleaner
* Wed Mar 11 2015 mpluskal@suse.com
- Cleanup spec file with spec-cleaner
- Use url for source
* Sat Feb 11 2012 crrodriguez@opensuse.org
- Move library back to %%{_libdir}, /usr merge project.
* Wed Feb  1 2012 jengelh@medozas.de
- Remove redundant tags/sections per specfile guideline suggestions
- Parallel building using %%_smp_mflags
* Tue Oct  5 2010 vuntz@opensuse.org
- Update to version 0.14:
  + add daemon_set_verbosity() call
  + make daemon_nonblock() actually work
  + numerous updates
  + build fixes
- Drop libdaemon-0.12-bnc449728.diff,
  libdaemon-0.13-bnc469342.diff: fixed upstream.
- Improve descriptions.
- Do not set CFLAGS since we use %%configure.
- Use %%makeinstall.
* Sat Apr 24 2010 coolo@novell.com
- buildrequire pkg-config to fix provides
* Wed Feb  4 2009 crrodriguez@suse.de
- move shared libraries to /%%{_lib} so ifplugd can use them
- remove static libraries again
* Tue Jan 27 2009 seife@suse.de
- mark filedescritor as closed after closing it, preventing
  application errors in e.g. avahi (bnc#469342, bnc#442210)
  Thanks to Stefan Thaeter for providing the patch.
* Thu Nov 27 2008 seife@suse.de
- update to version 0.13:
  - add daemon_reset_sigs() and daemon_unblock_sigs()
  - improve error handling
- obsoletes bnc-309132.patch, libdaemon-0.10-testd-fix-FD_SET.diff
* Thu Nov 27 2008 seife@suse.de
- fix compiler warning (bnc#449728)
* Tue Dec 18 2007 seife@suse.de
- reenabled static libraries to fix ifplugd build
* Wed Nov 28 2007 crrodriguez@suse.de
- libdaemon --> libdaemon0
- remove static libraries
- remove "la" files
- fix -devel package dependencies
* Thu Sep 13 2007 mauro@suse.de
- Applied a patch from upstream, to fix bnc #309132.
* Sun Jul 22 2007 coolo@suse.de
- disable lynx as it adds little featurewise (the README is packaged
  in the tar), but make libdaemon build pretty late and we need it
* Wed Jul 11 2007 seife@suse.de
- Update to version 0.12
  + make daemon_close_all() actually work properly
* Tue Jul  3 2007 maw@suse.de
- Update to version 0.11
  + automatically detect whether lynx is installed
  + properly set errno on every error condition
  + add new function daemon_close_all() to close all open file
    descriptors except a given set
  + add daemon_logv(), which is identical to daemon_log(), but
    takes a va_list argument
  + add daemon_execv() in similar style
  + other fixes
- Remove upstreamed libdaemon-attributes.patch.
* Thu Dec 14 2006 seife@suse.de
- fix testd build
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Sat Jan 21 2006 cthiel@suse.de
- update to version 0.10
* Mon Oct 31 2005 dmueller@suse.de
- don't build as root
* Fri Sep 23 2005 sbrabec@suse.cz
- Fixed devel dependencies.
* Mon May 30 2005 ro@suse.de
- fix libdir in pkgconfig file
* Sat Feb  5 2005 meissner@suse.de
- added attributes
* Wed Jan 19 2005 seife@suse.de
- update to version 0.7
* Thu Aug 12 2004 seife@suse.de
- add libpng to neededforbuild (now required by doxygen)
* Mon Jun 21 2004 seife@suse.de
- initial package submission
